MotorWare f2806x Module API Documentation

- Main Page
- Modules
- Data Structures
- Files

Data Structures | Typedefs
HAL_DATA

## Data Structures
struct | _HAL_AdcData_t_
| Defines the ADC data. More...
struct | _HAL_DacData_t_
| Defines the DAC data. More...
struct | _HAL_PwmData_t_
| Defines the PWM data. More...

## Typedefs
typedef struct _HAL_AdcData_t_ | HAL_AdcData_t
| Defines the ADC data. More...
typedef struct _HAL_DacData_t_ | HAL_DacData_t
| Defines the DAC data. More...
typedef struct _HAL_PwmData_t_ | HAL_PwmData_t
| Defines the PWM data. More...
typedef struct _HAL_AdcData_t_ | HAL_AdcData_t
| Defines the ADC data. More...
typedef struct _HAL_DacData_t_ | HAL_DacData_t
| Defines the DAC data. More...
typedef struct _HAL_PwmData_t_ | HAL_PwmData_t
| Defines the PWM data. More...

## Detailed Description

## Data Structure Documentation

struct _HAL_AdcData_t_

Defines the ADC data.

This data structure contains the voltage and current values that are used when performing a HAL_AdcRead and then this structure is passed to the CTRL controller and the FAST estimator.

Definition at line 88 of file boostxldrv8301_revB/f28x/f2806x/src/hal_obj.h.

Data Fields
_iq | dcBus | the dcBus value
_iq | dcBus_pu | the dcBus value
float_t | dcBus_V | the dcBus value
MATH_vec3 | I | the current values
MATH_vec3 | I_A | the current values
MATH_vec3 | I_pu | the current values
MATH_vec3 | V | the voltage values
MATH_vec3 | V_pu | the voltage values
MATH_vec3 | V_V | the voltage values

struct _HAL_DacData_t_

Defines the DAC data.

This data structure contains the pwm values that are used for the DAC output on a lot of the hardware kits for debugging.

Definition at line 103 of file boostxldrv8301_revB/f28x/f2806x/src/hal_obj.h.

Data Fields
float_t | value[4] | the DAC data
_iq | value[4] | the DAC data

struct _HAL_PwmData_t_

Defines the PWM data.

This structure contains the pwm voltage values for the three phases. A HAL_PwmData_t variable is filled with values from, for example, a space vector modulator and then sent to functions like HAL_writePwmData() to write to the PWM peripheral.

Definition at line 116 of file boostxldrv8301_revB/f28x/f2806x/src/hal_obj.h.

Data Fields
MATH_vec3 | Tabc | the PWM time-durations for each motor phase
MATH_vec3 | Vabc_pu | the PWM time-durations for each motor phase

## Typedef Documentation

typedef struct _HAL_AdcData_t_ HAL_AdcData_t

Defines the ADC data.

typedef struct _HAL_AdcData_t_ HAL_AdcData_t

Defines the ADC data.

typedef struct _HAL_DacData_t_ HAL_DacData_t

Defines the DAC data.

typedef struct _HAL_DacData_t_ HAL_DacData_t

Defines the DAC data.

typedef struct _HAL_PwmData_t_ HAL_PwmData_t

Defines the PWM data.

typedef struct _HAL_PwmData_t_ HAL_PwmData_t

Defines the PWM data.